ubuntu-location-service: com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles Struct Reference

`#include <interface.h>`

Collaboration diagram for com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles:

## Public Types
typedef com::ubuntu::location::service::Interface | Interface
typedef std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > | ValueType

## Static Public Member Functions
static const std::string & | name ()

## Static Public Attributes
static const bool | readable = true
static const bool | writable = false

## Detailed Description

Definition at line 159 of file interface.h.

## Member Typedef Documentation

## ◆ Interface

typedef com::ubuntu::location::service::Interface com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles::Interface

Definition at line 170 of file interface.h.

## ◆ ValueType

typedef std::map<com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle> com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles::ValueType

Definition at line 171 of file interface.h.

## Member Function Documentation

## ◆ name()

static const std::string& com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles::name | ( |  | ) |
| inlinestatic

Definition at line 161 of file interface.h.

## Member Data Documentation

## ◆ readable

const bool com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles::readable = true
| static

Definition at line 173 of file interface.h.

## ◆ writable

const bool com::ubuntu::location::service::Interface::Properties::VisibleSpaceVehicles::writable = false
| static

Definition at line 174 of file interface.h.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/interface.h